Add java6-{runtime|sdk|...} to the provides line in generated packages Closes: #684993